%define upstream_name    MooX-late
%define upstream_version 0.015

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Easily translate Moose code to Moo
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Moo) >= 1.3.0
BuildRequires: perl(Test::Fatal) >= 0.10.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Type::Utils) >= 0.16.0
BuildArch:  noarch

%description
the Moo manpage is a light-weight object oriented programming framework
which aims to be compatible with the Moose manpage. It does this by
detecting when Moose has been loaded, and automatically "inflating" its
classes and roles to full Moose classes and roles. This way, Moo classes
can consume Moose roles, Moose classes can extend Moo classes, and so
forth.

However, the surface syntax of Moo differs somewhat from Moose. For example
the 'isa' option when defining attributes in Moose must be either a string
or a blessed the Moose::Meta::TypeConstraint manpage object; but in Moo
must be a coderef. These differences in surface syntax make porting code
from Moose to Moo potentially tricky. the MooX::late manpage provides some
assistance by enabling a slightly more Moosey surface syntax.

MooX::late does the following:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes LICENSE META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.15.0-5.mga6
+ Revision: 1030719
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.15.0-4.mga6
+ Revision: 936354
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.15.0-3.mga5
+ Revision: 742296
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.15.0-2.mga5
+ Revision: 685507
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 sander85 <sander85> 0.15.0-1.mga5
+ Revision: 665410
- update to 0.015

* Sat Oct 19 2013 umeabot <umeabot> 0.14.0-2.mga4
+ Revision: 530088
- Mageia 4 Mass Rebuild

* Wed Jul 17 2013 shlomif <shlomif> 0.14.0-1.mga4
+ Revision: 455165
- New version - tarball
- New version 0.014

* Fri Jul 05 2013 shlomif <shlomif> 0.12.0-1.mga4
+ Revision: 450274
- New version 0.012

* Wed May 29 2013 shlomif <shlomif> 0.11.0-1.mga4
+ Revision: 432336
- New version 0.011

* Sun Jan 13 2013 umeabot <umeabot> 0.7.0-2.mga3
+ Revision: 370102
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 0.7.0-1.mga3
+ Revision: 338094
- update to 0.007

* Thu Dec 13 2012 shlomif <shlomif> 0.6.0-1.mga3
+ Revision: 330248
- update to 0.006

* Tue Dec 04 2012 shlomif <shlomif> 0.4.0-1.mga3
+ Revision: 326586
- imported package perl-MooX-late


* Tue Dec 04 2012 cpan2dist 0.004-1mga
- initial mageia release, generated with cpan2dist
